#...............................................................................
#
#  IO Ninja plugins
#

[group]
name        = Clients
description = Sessions which initiate various connections
id          = clients

[group]
name        = Servers
description = Sessions which wait for incoming connection
id          = servers

[group]
name        = Monitors
description = Sessions which monitor data passing over various transports
id          = monitors

[group]
name        = File Transfer Protocols
description = Layers which implement various file transfer protocols
id          = transfer-protocols

[group]
name        = Protocol Analyzers
description = Layers for analyzing various protocols
id          = protocol-analyzers

#. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .

[plugins]

# clients

plugins/TcpConnection/TcpConnection.njplg
plugins/SshChannel/SshChannel.njplg
plugins/Udp/Udp.njplg
plugins/Serial/Serial.njplg
plugins/File/File.njplg
plugins/UsbEndpoint/UsbEndpoint.njplg

# servers

plugins/TcpListener/TcpListener.njplg
plugins/TcpProxy/TcpProxy.njplg
plugins/PipeListener/PipeListener.njplg
plugins/Mailslot/Mailslot.njplg

# monitors

plugins/Sniffer/Sniffer.njplg
plugins/TcpFlowMon/TcpFlowMon.njplg
plugins/UdpFlowMon/UdpFlowMon.njplg
plugins/PipeMon/PipeMon.njplg
plugins/MailslotMon/MailslotMon.njplg
plugins/SerialMon/SerialMon.njplg
plugins/GenericSerialTapCable/SerialTapCable.njplg
plugins/EzTapPro/EzTapPro.njplg
plugins/TibboModbusGatewayMon/ModbusGatewayMon.njplg

# transfer protocols

plugins/XModem/XModem.njplg

# protocol analyzers

plugins/ModbusRtu/ModbusRtu.njplg

# other

plugins/RegexColorizer/RegexColorizer.njplg
plugins/Echo/Echo.njplg
